{% extends "base.html" %}
{% load staticfiles %}

{% block mathjax %}
  {% endblock mathjax %}


{% block content %}
<div id="title">
  {% if name_string %}
    <h2>{% autoescape off %}Certificate of completion of the course in {{ lesson_type_string }}{% endautoescape %}</h2>
    {% endif %}
  </div>

<div id="body">
  {% if errors %}
    <div id="errors">
      {% if errors.count == 1 %}
        <h4>Error</h4>
        <p>{{ error }}</p>
      {% else %}
        <h4>Errors</h4>
        <ol>
          {% for error in errors %}
          <li>{{ error|escape }}</li>
          {% endfor %}
          </ol>
        {% endif %} {# ends if errors.count == 1 #}
      </div>
  {% else %}  {# matches if error #}
    {% if name_string %}
      <p>This {{certify_or_verify}} that
        </p> 
      <p class='name'>{{ name_string}}
        </p>
      <p>has passed the course in {{ lesson_type_string|safe }},
        given at <code>joshua.smcvt.edu</code>.
        This course enables students to produce the documents needed
        for most undergraduate work.
        {% if certify_or_verify != 'verifies' %}
          To verify this certificate, visit 
          <a href="/lessons/certificate/{{lesson_type}}/?id={{certificate_id}}">http://joshua.smcvt.edu/lessons/certificate/{{lesson_type}}/?id={{certificate_id}}</a>.
          {% endif %}  {# matches if certify_or_verify != 'verifies' #}
        </p>
    {% else %}   {# matches if name_string #}
      <h4>Enter a name for the certificate</h4>
      <p>Before you can get the certificate
        you need to enter a name to put on that certificate.
        For example a person whose user name for this site is 
        &quot;jsmith13&quot; may want the name on 
        the certificate to be &quot;Joanne Smith&quot;.
        In particular, if you are getting a certificate for a course then
        use a name that your instructor will recognize. 
        </p>
      <form action="" method="post">
      {{ form.non_field_errors }}
      {% for field in form %}
        <div class="fieldWrapper">
          {{ field.errors }} 
          {{ field.label_tag }} {{ field }}
          {% if field.help_text %}
            <p class="help">{{ field.help_text|safe }}</p>
            {% endif %}
          </div>
        {% endfor %}
        <input type="submit" value="Submit name" />
      {% csrf_token %}
      </form>
    {% endif %}  {# matches if name_string #}
  {% endif %}  {# matches if error #}
  </div>
{% endblock content %}
